Package org.eclipse.cdt.core.settings.model.extension.impl

## Class UserAndDiscoveredEntryConfigurationDataProvider

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CConfigurationDataProvider
  - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultConfigurationDataProvider
    - - org.eclipse.cdt.core.settings.model.extension.impl.UserAndDiscoveredEntryConfigurationDataProvider

    public abstract class UserAndDiscoveredEntryConfigurationDataProvider
    extends CDefaultConfigurationDataProvider

### Nested Class Summary

Nested Classes
`protected class` `UserAndDiscoveredEntryConfigurationDataProvider.DataFactory`
`protected class` `UserAndDiscoveredEntryConfigurationDataProvider.LanguageData`

### Constructor Summary

Constructors
`UserAndDiscoveredEntryConfigurationDataProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ICLanguageSettingEntry[]` `getAllDiscoveredEntries​(UserAndDiscoveredEntryConfigurationDataProvider.LanguageData data, int kind)`
`protected CDataFactory` `getDataFactory()`
`protected CDataSerializer` `getDataSerializer()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.impl.CDefaultConfigurationDataProvider

`applyConfiguration, createConfiguration, createPreferenceConfig, getStorageElement, getStorageId, loadConfiguration, removeConfiguration`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CConfigurationDataProvider

`applyConfiguration, dataCached`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserAndDiscoveredEntryConfigurationDataProvider

    public UserAndDiscoveredEntryConfigurationDataProvider()

### Method Detail

#### getDataSerializer

    protected CDataSerializer getDataSerializer()

Overrides:
  `getDataSerializer` in class `CDefaultConfigurationDataProvider`

#### getDataFactory

    protected CDataFactory getDataFactory()

Overrides:
  `getDataFactory` in class `CDefaultConfigurationDataProvider`

#### getAllDiscoveredEntries

    protected abstract ICLanguageSettingEntry[] getAllDiscoveredEntries​(UserAndDiscoveredEntryConfigurationDataProvider.LanguageData data,
                                                                        int kind)